Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.http.parser
Class AstMediaType

    java.lang.Object
      org.apache.tomcat.util.http.parser.SimpleNode
          org.apache.tomcat.util.http.parser.AstMediaType

All Implemented Interfaces:
  Node

    public class AstMediaType

extends SimpleNode

Represents a media-type as per section 3.7 of RFC 2616. Originally generated by JJTree.

Field Summary

Fields inherited from class org.apache.tomcat.util.http.parser.SimpleNode
`children, id, parent, parser, value`

Constructor Summary
`AstMediaType(HttpParser p, int id)`
`AstMediaType(int id)`

Method Summary
`String` | `getCharset()`
`String` | `toString()`
`String` | `toStringNoCharset()`

Methods inherited from class org.apache.tomcat.util.http.parser.SimpleNode
`dump, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtGetValue, jjtOpen, jjtSetParent, jjtSetValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AstMediaType

    public AstMediaType(int id)

### AstMediaType

    public AstMediaType(HttpParser p,
                        int id)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `SimpleNode`

### toStringNoCharset

    public String toStringNoCharset()

### getCharset

    public String getCharset()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.